Autor Tópico: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits  (Lida 304090 vezes)

Offline Sir Allan Robs

  • Usuário Ubuntu
  • *
  • Mensagens: 93
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #150 Online: 23 de Abril de 2014, 09:25 »
não sabia.

valeu. :)

agora seguindo o tuto.

sucesso

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #151 Online: 23 de Abril de 2014, 09:30 »
Allan, o meu tutorial esta um pouco antigo e alguns links e referencias podem nao funcionar mais, ou seja, nao e um tutorial para se seguir a risca do tipo passo a passo ok?

Eu ja disponibilizo um Mame pronto para uso, tudo prontinho e atualizado ate a versao 0.152 do Mame e esta no meu dropbox aqui;

https://www.dropbox.com/sh/muuek6kbj2sq842/CbSUcYXT5W

*olhe o arquivo read-me

Esse Mame vc so precisa marcar como executavel para que ele funcione, ja tem todos os arquivos principais que vc vai precisar e uma rom de teste.

Se desejar, pode visitar todos os links que disponibilizo no tutorial, ha muita coisa interessante para se ver se vc gosta de emulação e principalmente do Mame!!!

Houve um acidente a algum tempo atras com a parte III do tutorial e eu tentei recompor mas nao ficou bom, ficou sem as imagens mas o conteudo principal esta la, se vc tiver paciencia leia tbm o comteudo de todo o topico, tem dicas preciosas de como compilar o seu Mame, macetes e detalhes que fazem a diferença.

Nao ha muito material sobre o Mame no Ubuntu que explique como as coisas funcionam, entao eu tentei agrupar tudo que encontro nesse topico.


Abraço.

Meu dropbox(para 12.04 apenas, tbm pode funcionar em versoes mais novas) - https://www.dropbox.com/sh/73a1xaizlr65ju4/e4P8ZrSZN6
« Última modificação: 23 de Abril de 2014, 09:40 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline Sir Allan Robs

  • Usuário Ubuntu
  • *
  • Mensagens: 93
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #152 Online: 23 de Abril de 2014, 09:40 »
legal. estarei dando uma olhada agora.
uma duvida. tenho q apagar ou desfazer os procedimentos anteriores?
mame64-149Mkc.tar.bz2 estou fazendo o download deste.

valeu mesmo, obrigado.
« Última modificação: 23 de Abril de 2014, 09:45 por Sir Allan Robs »

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #153 Online: 23 de Abril de 2014, 09:44 »
Vc esta no inicio ainda nao?

Aconselho usar o que ja esta pronto!!! Depois que vc se familiarizar com o emulador, como ele funciona, ai vc pode partir para um passo a passo se quiser, lendo as dicas e a documentação.
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #154 Online: 23 de Abril de 2014, 10:07 »
Isso pode pegar esse mesmo, esse Mame ele e "puro", ou seja, nao tem uma interface bonitinha como no Windows(mame32UI) é somente o emulador em si.

Caso vc queira uma interface para gerenciar as roms e o emulador tem algumas;

http://qmc2.arcadehits.net/wordpress/download/

http://img843.imageshack.us/img843/5798/2h2x.png

http://img835.imageshack.us/img835/4770/u640.png

« Última modificação: 23 de Abril de 2014, 18:18 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline Sergio Benjamim

  • Usuário Ubuntu
  • *
  • Mensagens: 2.902
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #155 Online: 23 de Abril de 2014, 21:56 »
Ola alguem esta interessado no GmameUI? O pacote deb do Precise versao .12 dos repositorios esta com problemas de dependencias e bugs nas listagem das roms.

Se alguem se interessar vou preparar um pacote deb baseado na versao CVS onde esse bug e outros ja estao acertados, esse pacote é baseado na versao RPM do fedora que pode ser encontrada aqui para quem quiser;

http://fr2.rpmfind.net/linux/rpm2html/search.php?query=gmameui&submit=Search+...

E com alguns "tweaks" basicos se der certo :)....

   

Fala Platao!

Por acaso esse pacote RPM tem algo a ver com isso:

https://github.com/davewongillies/gmameui/issues/1

Eu queria saber se esse repositório do github contém o gmameui atualizado na última versão, 0.2.13-0.3.20120704cvs, por esse issue do github parece que sim, mas não tenho certeza. Tirando o commit relacionado à importação de código do sourceforge para o github, o último commit foi de 4 anos atrás, e não bate com essa data do pacote rpm (20120704).

A página do sourceforge parece estar abandonada. Eu queria pegar o fonte dele, e deixar na minha conta do github ou launchpad.

E quem fez essa atualização do 0.2.12 para o 0.2.13? Foi do sourceforge mesmo? O tar.gz de lá tá como 0.2.12, isso eu não estou entendendo.

---

Ahh, parece que a versão do github é a mesma que a do sourceforge mesmo. Há vários commits após o commit "Tagged for version 0.2.12 release". No sourceforge só foi esquecido de criar uma nova tag para uma versão 0.2.13.

---

Ola sergio, fiz esse pacote com base no rpm do fedora 18 convertido com o alien e acrescentei as dependencias que faltavam no arquivo de controle(control) e o icone e só :) .

Como esta demorando muito para sair a correção(na versao deb .12 do gmameui estava com problema nos menus, ao selecionar os locais das pastas) eu pequei a versao do fedora e esta funcionando bem aqui...o pacote anterior era baseado no pacote cvs fedora 17 esse http://pkgs.org/download/gmameui ou http://rpmfind.net/linux/rpm2html/search.php?query=gmameui

Você tem as modificações necessárias para criar o .deb? Ou você usou o alien?

Só uma dúvida, você lançou 3 ou 4 versões do pacote .deb, foi só você que fez as modificações (correção de dependências) ou o pacote rpm usado como fonte foi atualizado também?
« Última modificação: 23 de Abril de 2014, 22:28 por Sergio Benjamim »
É novo no Ubuntu? Já leu o Ubuntu – Guia do Iniciante 2.0 ?
Experimente o Xubuntu 14.04 !

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #156 Online: 24 de Abril de 2014, 00:23 »
Entao, eu tenho a impressao(nao sei se estou errado) mas sempre que vc quiser as ultimas atualizaçoes de um programa, aplicativo mais atualizado possivel, vc nao procura em .deb mas sim em repositorios .rpm ou compila .

Acho que as distros como o Fedora recebem tudo o que é de mais recente, desde kernel ate os aplicativos, o pessoal ate brinca dizendo que o fedora e um eterno beta, tamanha a quantidade de ultimas novidades que sao implementadas nas versoes de teste.

Cansei de ver os bugs na hora de adicionar os diretorios para as roms e começei fazer uma busca por pacotes deb mais atuais do gmameui, tentei procurar uma versao acima da 0.2.12 e entao cai nesse repositorio rpm http://fr2.rpmfind.net/linux/rpm2html/search.php?query=gmameui&submit=Search+... peguei o pacote rpm de ambas as arquiteturas 32 e 64 e testei convertendo ele para deb(nao tinha nada a perder se nao funcionasse ; ) ) com o alien, acho que o pacote 0.2.13 é uma pacote experimental, tentei rodar eles pelo terminal e vi que faltava algumas dependencias e instalei, fiz um link em uma biblioteca para a versao 64bit 0.2.11(faz tempo que eu fiz isso nem lembro direito) mas era isso aqui;

sudo ln -s /usr/lib/x86_64-linux-gnu/libarchive.so.12 /usr/lib/x86_64-linux-gnu/libarchive.so.2

(Baixa os pacotes do gmameui no meu dropbox extrai e da uma olhada neles)

e faltava alguns icones da interface que eu acrescentei tbm retirando de outro pacote do gmameui e funcionou a versao 0.2.13 para 32 bits, mas para a versao 64 bits nao funcionou da mesma forma, e eu nao me importei, pois gosto mais da versao antiga 0.2.11 para o 64bit, "consertei" essa versao tbm e assim ficou.

Eu estava dando uma olhada, e tentei instalar o gmameui que eu modifiquei no trusty 14.04 e acho que rola, e so acertar algumas dependencias, mas preciso dar uma boa olhada nisso.(acho melhor independente da versao, ter algum gmameui embora antigo que funcione, do que nao ter nenhum ; ) )

Se vc olhar o rpm bem de perto vera que o alien, para transformar o pacote em deb ele nao modifica a estrutura do aplicativo, executaveis, nada, a unica coisa que ele cria é a pasta DEBIAN e acrescenta um changelog. A estrutura, escripts tudo permanece igual a versao rpm, depois de convertido, foi so começar a olhar as dependencias que faltavam no terminal ao rodar o aplicativo e analizar o pacote deb de outras fontes, ou entao ate acrescentar um repositorio que tenha o gmameui e tentar com o built-dep para facilitar.

Tbm nao sei se o cara que fez o pacote rpm so fez uma alteração simples e teve que subir o numero do pacote....ou se ha alguem no GIt desenvolvendo o gmameui ativamente.

http://gmameui.cvs.sourceforge.net/viewvc/gmameui/gmameui/?view=tar

Veja tbm;

http://fr2.rpmfind.net//linux/RPM/rpmfusion/nonfree/fedora/devel/src/gmameui-0.2.13-0.4.20120704cvs.fc19.src.html

eu acho que eles pegaram a source da versao 0.2.12 e fizeram os fixes do link ai em cima e fizeram o rpm.


Entra em contato com o seu chará;

http://www.serjux.com/

Sérgio Basto

sergio@serjux.com

https://github.com/sergiomb2?tab=repositories

Ou com o Nicolas que aparece nesse changelog, por email

Changelog

* Tue Mar 12 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.2.13-0.4.20120704cvs
  - https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild


* Wed Jul 11 2012 Sérgio Basto <sergio@serjux.com> - 0.4.13-0.2.20120704cvs
  - add Requires: gnome-icon-theme-legacy, to fix more missing icons.

* Sat Jul 07 2012 Sérgio Basto <sergio@serjux.com> - 0.2.13-0.2.20120704cvs
  - add missing icons, extract from gnome-icon-theme-gperfection2_2.3-0ubuntu3_all.deb

    gmamui relies on some old gnome-icons-theme, cleans icons errors.
* Wed Jul 04 2012 Sérgio Basto <sergio@serjux.com> - 0.2.13-0.1.20120704cvs

  - from Julian Sikorski patch for gmameui.spec :
    - Updated the license tag to GPLv3+
    - Added vte-devel to BuildRequires, removed explicit gtk2-devel
    - Dropped empty README and TODO from %doc
  - add gmameui-fix3.patch, fix3 extends old fix2, which Fix FTBFS with
    libarchive12
  - add gmameui-fix4.patch, which force autotools use autopoint, which make autogen.sh works much more
    smooth. TODO understand why ./setup-gettext --gettext-tool, don't return autopoint in mock build.
* Sun May 13 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.2.12-1
  - Update to 0.2.12
  - Fix build
* Thu Feb 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.2.10-2
  - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Sun Jul 05 2009 Matthias Saou <http://freshrpms.net/> 0.2.10-1
  - Update to 0.2.10.
  - Add new libgnome-devel and libarchive-devel build requirements.
  - Re-enable translations, they build/install again.
* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.2.2-3
  - rebuild for new F11 features
* Sat Oct 18 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 0.2.2-2
  - rebuild for RPM Fusion
* Fri May 16 2008 Matthias Saou <http://freshrpms.net/> 0.2.2-1
  - Initial RPM package, based on the gxmame spec file.

esse cara parece que foi quem traduziu, entao ele teve contato com o time de desenvolvimento, talvez seja interesante mandar email e contata-lo tbm.

Alfredo Jr

junix@linuxinabox.org

Só uma dúvida, você lançou 3 ou 4 versões do pacote .deb, foi só você que fez as modificações (correção de dependências) ou o pacote rpm usado como fonte foi atualizado também?

A unica diferença e que eu peguei o do fedora mais novo que era o 19 e o outro era o 18 e alguns acertos menores(icones,etc) e acrescentei as dependencias. Se vc quiser pegar esses dois pacotes caseiros do gmameui e debianizar de acodo é so pegar.

https://www.dropbox.com/sh/19g7v42gwomi5zq/E4u_hc_ck9 - so funciona no 12.04 por enquanto.

**alterei a libarchive de 12 para 13 que e a padrao do trusty e funcionou pelo menos a versao 0.2.11....vamos ver....

http://img843.imageshack.us/img843/6525/r9gm.png

Fiz um deb para teste para o Trusty da versao 0.2.13 64bits mais recente, da uma testada ai!!!

https://www.dropbox.com/sh/jrfbi28nqy6us8n/WlKu5sC-y5

Falta dar uma polida no pacote trocar o icone, coisas pequenas.....testei no trusty via live pendrive e funcionou....

dependencias;

Package: gmameui
Version: 0.2.13-1.4
Architecture: amd64
Maintainer: platao <platao@platao-ubuntu>
Installed-Size: 1364
Depends: libarchive13, libatk1.0-0 (>= 1.12.4), libc6 (>= 2.3), libcairo2 (>= 1.2.4), libexpat1 (>= 1.95.8), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.24.0), libgtk2.0-0 (>= 2.18.0), libgtkimageview0, libpango1.0-0 (>= 1.14.0), libvte9 (>= 1:0.24.0), libx11-6, libzip2 (>= 0.10)
Section: alien
Priority: extra
Description: Frontend for MAME
 GMAMEUI is a front-end program that helps you run MAME (either xmame or
 sdlmame), allowing you to run your arcade games quickly and easily.
 .
 (Converted from a rpm package by alien version 8.86.)


Veja tbm;

http://superbuntu.com.br/instalando-gmameui-no-ubuntu/
« Última modificação: 24 de Abril de 2014, 21:10 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #157 Online: 24 de Abril de 2014, 10:37 »
Atualizei o post acima, leia novamente.
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #158 Online: 26 de Abril de 2014, 13:42 »
Update simples para quem tem o mame e quer mudar a cor da "mira" em games arcade de tiro como Zombie Raid e outros. Para editar a cor da mira, e so iniciar o mame e teclar em "tab" procurar em crosshair e selecionar a cor, posteriormente clique em F3 para resetar o game e a mira vai estar coma cor definida.

http://img836.imageshack.us/img836/8691/lwb0.png



Essa "atualização" ja vai estar incorporado em todos os mame disponiveis no dropbox - https://www.dropbox.com/sh/73a1xaizlr65ju4/e4P8ZrSZN6

http://img841.imageshack.us/img841/3341/0266.png

« Última modificação: 26 de Abril de 2014, 14:28 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #159 Online: 14 de Maio de 2014, 00:21 »
Para quem estiver interessado, modifiquei um pacote do wahcade do amigo Sairuki para o precise, quem quiser baixar;

https://www.dropbox.com/sh/wo8txnlbgsm2nrj/AADc8m_sO-Dgr3Jyw8YiEiZ4a

Estou fazendo uma adaptação tbm para o ubuntu 14.04 e um pacote simples de temas para instalar ; )

http://img843.imageshack.us/img843/561/i8in.png
« Última modificação: 14 de Maio de 2014, 11:28 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997


Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #161 Online: 15 de Maio de 2014, 14:09 »
Pacote do Wahcade para o 14.04 thusty!!!

https://www.dropbox.com/sh/vab5hhtz9rbwgns/AACKn4kIp11r7GirjmOI-Mw8a

O Whacade para Ubuntu 14.04 thusty necessita do HAL(Hardware Abstraction Layer) para algumas funcoes do front-end, como desligar e suspender pelos atalhos do menu de contexto do wahcade.

Para instalar o HAL, e necessario adicionar um PPA com o comando abaixo;  

sudo add-apt-repository ppa:mjblenner/ppa-hal ; sleep 3 ; sudo apt-get update ; sleep 3 ; sudo apt-get install hal -y

Apos adicionar o PPA, e so instalar o pacote;

wahcade_20131107mahcade-trusty_all


[]' Platao


Passo a passo simples para iniciantes;


1 - Abra a central de programas do Ubuntu e va ate editar->canais de software-> aplicativos ubuntu e marque "aplicativos livres mantidos pela comunidade"(segunda opção do menu)

http://img844.imageshack.us/img844/2342/th66.png

2 - De um update;

sudo apt-get update

3 - Instale o HAL com o comando abaixo;

sudo add-apt-repository ppa:mjblenner/ppa-hal ; sleep 3 ; sudo apt-get update ; sleep 3 ; sudo apt-get install hal -y

4 - Baixe o pacote wahcade_20131107mahcade-trusty_all e instale

5 - Faça logout da sua sessao do ubuntu e faça loguim novamente(para que o sistema atualize os menus de aplicativos)

6 - Procure por wahcade no dash do Ubuntu, ou digite no terminal;

http://img838.imageshack.us/img838/3295/muvp.png

wahcade -> para abrir o wahcade

wahcade-setup -> para configurar o local das roms, etc

wahcade-layout-editor -> para ajustar a imagem nos locais corretos.

7 - Baixe o pacote de temas e extraia na sua home, copie somente os temas para a pasta oculta(control+h) .whacade/layouts na sua home.

8 - Escolha o tema que lhe agrada e se precisar fazer alguns ajustes na imagem e so usar o layout-editor e salve.

Para mais informações de configuração leia a parte 1 desse topico.

http://img841.imageshack.us/img841/3477/q4qe.png


Musica arcade para relaxar;

http://www.arcaderadio.com/



Platao
« Última modificação: 15 de Maio de 2014, 15:06 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #163 Online: 18 de Maio de 2014, 09:27 »
Um game interessante.....do tipo exploração e mundo aberto, parecido com Elder Scrolls......


https://openmw.org/media/
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Wah!cade - Configurando Mame+Wah!cade no Ubuntu 11.04 11.10 12.04LTS 64bits
« Resposta #164 Online: 18 de Maio de 2014, 09:33 »
Distros voltadas para games;


A GNU/Linux Arcade Distribution (frontend, multi-emulateurs) (projet actif)

http://www.arcadeinfo.de/showthread.php?16069-A-GNU-LINUX-ARCADE-DISTRIBUTION-0-92b
   
Angel Linux (multi-emulateurs) (projet actif)
   
http://sourceforge.net/projects/angellinux/

Groovy Arcade Linux (frontend, mame) (projet actif)

http://code.google.com/p/groovyarcade/
   
KnoppiXMAME (frontend, mame) (projet arrêter)

http://sourceforge.net/projects/knoppixmame/
   
Livemamecab (frontend, multi-emulateurs) (projet actif)

http://numsys.eu/search.php?search=Mame
   
Puppy Arcade (frontend, multi-emulateurs) (projet actif)

http://scottjarvis.com/page105.htm


\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997